/dimensions
GET /dimensions
GET /dimensionsGet a list of supported dimensions.
Query Parameters
| Name | Type | Descrioption |
|---|---|---|
area_version | string, enum | Specific area taxonomy version to use. Allowed: us_area_2024_4 and us_area_2025_1Default option us_area_2025_1 |
new_taxonomy_versions | boolean, enum | Use new taxonomy versions. Allowed: true and falseDefault option false |
lot_version | Specify LOT taxonomy version to use. Allowed: 6 , or 7Default option: 7 |
Code Examples
curl --request GET \
--url https://api.lightcast.io/market-salary/dimensions \
--header 'accept: application/json' \
--header 'authorization: Bearer <Access_Token>'Response Examples
{
"data": [
"soc",
"onet",
"lotocc",
"lotspecocc",
"skill"
]
}GET /dimensions/{dimension}
GET /dimensions/{dimension}Get dimension information.
Path Parameters
| Name | Type | Descriptions |
|---|---|---|
dimension | string, enum | The occupation dimension used for modeling salaries. Allowed: soc, onet , lotocc , lotspecocc , and skill |
Query Parameters
| Name | Type | Description |
|---|---|---|
area_version | string, enum | Specific area taxonomy version to use. Allowed: us_area_2024_4 and us_area_2025_1Defaults to us_area_2025_1 |
new_taxonomy_versions | boolean, enum | Use new taxonomy versions. Allowed: true and false |
lot_version | string, enum | Specify LOT taxonomy version to use. Allowed: 6 and 7 |
Code Examples
curl --request GET \
--url https://api.lightcast.io/market-salary/dimensions/soc \
--header 'accept: application/json' \
--header 'authorization: Bearer <Access_Token>'Response Examples
{
"data": {
"id": "soc",
"title": "6-Digit SOC",
"description": "USA's Standard Occupation Classification represented at the 6-Digit level.",
"taxonomyVersion": "soc_2021",
"supportedTaxonomyVersions": [
"soc_2021"
]
}
}POST /dimensions/{dimension}
POST /dimensions/{dimension}Get the salary information for an occupation.
Path Parameters
| Name | Type | Descriptions |
|---|---|---|
dimension | string, enum | The occupation dimension used for modeling salaries. Allowed: soc, onet , lotocc , lotspecocc , and skill |
Query Parameters
| Name | Type | Description |
|---|---|---|
area_version | string, enum | Specific area taxonomy version to use. Allowed: us_area_2024_4 and us_area_2025_1Defaults to us_area_2025_1 |
new_taxonomy_versions | boolean, enum | Use new taxonomy versions. Allowed: true and false |
lot_version | string, enum | Specify LOT taxonomy version to use. Allowed: 6 and 7 |
Code Examples
curl --request POST \
--url https://api.lightcast.io/market-salary/dimensions/soc \
--header 'accept: application/json' \
--header 'authorization: Bearer <Access_Token>' \
--header 'content-type: application/json' \ Request Body Example
{
"id": "11-2021",
"filter": {
"state": "36",
"yearsExperience": {
"gte": 1,
"lte": 5
}
}
}Response Examples
{
"data": {
"id": "11-2021",
"name": "Marketing Managers",
"dimension": "soc",
"meanSalary": 136412,
"salaryPercentiles": {
"10": 82611,
"20": 89826,
"25": 92487,
"30": 98054,
"40": 103399,
"50": 110798,
"60": 121816,
"70": 130684,
"75": 137216,
"80": 139911,
"90": 148337
}
}
}{
"errors": [
{
"status": 400,
"title": "Malformed Request",
"detail": "Expected array"
}
]
}{
"errors": [
{
"status": 404,
"title": "Not Found",
"detail": "Unrecognized dimension 'invalid'"
}
]
}{
"errors": [
{
"status": 500,
"title": "Internal server error",
"detail": "Failed to connect to data source"
}
]
}
